Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.organizations.getCameraBoundariesAreasByDevice({
organizationId: "string",
serials: ["string"],
});
export const merakiOrganizationsCameraBoundariesAreasByDeviceExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.organizations.get_camera_boundaries_areas_by_device(organization_id="string",
serials=["string"])
pulumi.export("merakiOrganizationsCameraBoundariesAreasByDeviceExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/organizations"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := organizations.GetCameraBoundariesAreasByDevice(ctx, &organizations.GetCameraBoundariesAreasByDeviceArgs{
OrganizationId: "string",
Serials: []string{
"string",
},
}, nil)
if err != nil {
return err
}
ctx.Export("merakiOrganizationsCameraBoundariesAreasByDeviceExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Organizations.GetCameraBoundariesAreasByDevice.Invoke(new()
{
OrganizationId = "string",
Serials = new[]
{
"string",
},
});
return new Dictionary<string, object?>
{
["merakiOrganizationsCameraBoundariesAreasByDeviceExample"] = example.Apply(getCameraBoundariesAreasByDeviceResult => getCameraBoundariesAreasByDeviceResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.organizations.OrganizationsFunctions;
import com.pulumi.meraki.organizations.inputs.GetCameraBoundariesAreasByDeviceArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = OrganizationsFunctions.getCameraBoundariesAreasByDevice(GetCameraBoundariesAreasByDeviceArgs.builder()
.organizationId("string")
.serials("string")
.build());
ctx.export("merakiOrganizationsCameraBoundariesAreasByDeviceExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:organizations:getCameraBoundariesAreasByDevice
arguments:
organizationId: string
serials:
- string
outputs:
merakiOrganizationsCameraBoundariesAreasByDeviceExample: ${example.items}
Using getCameraBoundariesAreasByDevice
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getCameraBoundariesAreasByDevice(args: GetCameraBoundariesAreasByDeviceArgs, opts?: InvokeOptions): Promise<GetCameraBoundariesAreasByDeviceResult>
function getCameraBoundariesAreasByDeviceOutput(args: GetCameraBoundariesAreasByDeviceOutputArgs, opts?: InvokeOptions): Output<GetCameraBoundariesAreasByDeviceResult>def get_camera_boundaries_areas_by_device(organization_id: Optional[str] = None,
serials: Optional[Sequence[str]] = None,
opts: Optional[InvokeOptions] = None) -> GetCameraBoundariesAreasByDeviceResult
def get_camera_boundaries_areas_by_device_output(organization_id: Optional[pulumi.Input[str]] = None,
serials: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetCameraBoundariesAreasByDeviceResult]func GetCameraBoundariesAreasByDevice(ctx *Context, args *GetCameraBoundariesAreasByDeviceArgs, opts ...InvokeOption) (*GetCameraBoundariesAreasByDeviceResult, error)
func GetCameraBoundariesAreasByDeviceOutput(ctx *Context, args *GetCameraBoundariesAreasByDeviceOutputArgs, opts ...InvokeOption) GetCameraBoundariesAreasByDeviceResultOutput> Note: This function is named GetCameraBoundariesAreasByDevice in the Go SDK.
public static class GetCameraBoundariesAreasByDevice
{
public static Task<GetCameraBoundariesAreasByDeviceResult> InvokeAsync(GetCameraBoundariesAreasByDeviceArgs args, InvokeOptions? opts = null)
public static Output<GetCameraBoundariesAreasByDeviceResult> Invoke(GetCameraBoundariesAreasByDeviceInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetCameraBoundariesAreasByDeviceResult> getCameraBoundariesAreasByDevice(GetCameraBoundariesAreasByDeviceArgs args, InvokeOptions options)
public static Output<GetCameraBoundariesAreasByDeviceResult> getCameraBoundariesAreasByDevice(GetCameraBoundariesAreasByDeviceArgs args, InvokeOptions options)
fn::invoke:
function: meraki:organizations/getCameraBoundariesAreasByDevice:getCameraBoundariesAreasByDevice
arguments:
# arguments dictionaryThe following arguments are supported:
- Organization
Id string - organizationId path parameter. Organization ID
- Serials List<string>
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- Organization
Id string - organizationId path parameter. Organization ID
- Serials []string
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- organization
Id String - organizationId path parameter. Organization ID
- serials List<String>
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- organization
Id string - organizationId path parameter. Organization ID
- serials string[]
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- organization_
id str - organizationId path parameter. Organization ID
- serials Sequence[str]
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- organization
Id String - organizationId path parameter. Organization ID
- serials List<String>
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
getCameraBoundariesAreasByDevice Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Camera Boundaries Areas By Device Item> - Array of ResponseCameraGetOrganizationCameraBoundariesAreasByDevice
- Organization
Id string - organizationId path parameter. Organization ID
- Serials List<string>
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Camera Boundaries Areas By Device Item - Array of ResponseCameraGetOrganizationCameraBoundariesAreasByDevice
- Organization
Id string - organizationId path parameter. Organization ID
- Serials []string
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Camera Boundaries Areas By Device Item> - Array of ResponseCameraGetOrganizationCameraBoundariesAreasByDevice
- organization
Id String - organizationId path parameter. Organization ID
- serials List<String>
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Camera Boundaries Areas By Device Item[] - Array of ResponseCameraGetOrganizationCameraBoundariesAreasByDevice
- organization
Id string - organizationId path parameter. Organization ID
- serials string[]
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Camera Boundaries Areas By Device Item] - Array of ResponseCameraGetOrganizationCameraBoundariesAreasByDevice
- organization_
id str - organizationId path parameter. Organization ID
- serials Sequence[str]
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseCameraGetOrganizationCameraBoundariesAreasByDevice
- organization
Id String - organizationId path parameter. Organization ID
- serials List<String>
- serials query parameter. A list of serial numbers. The returned cameras will be filtered to only include these serials.
Supporting Types
GetCameraBoundariesAreasByDeviceItem
- Boundaries
Get
Camera Boundaries Areas By Device Item Boundaries - Configured area boundaries of the camera
- Network
Id string - The network id of the camera
- Serial string
- The serial number of the camera
- Boundaries
Get
Camera Boundaries Areas By Device Item Boundaries - Configured area boundaries of the camera
- Network
Id string - The network id of the camera
- Serial string
- The serial number of the camera
- boundaries
Get
Camera Boundaries Areas By Device Item Boundaries - Configured area boundaries of the camera
- network
Id String - The network id of the camera
- serial String
- The serial number of the camera
- boundaries
Get
Camera Boundaries Areas By Device Item Boundaries - Configured area boundaries of the camera
- network
Id string - The network id of the camera
- serial string
- The serial number of the camera
- boundaries
Get
Camera Boundaries Areas By Device Item Boundaries - Configured area boundaries of the camera
- network_
id str - The network id of the camera
- serial str
- The serial number of the camera
- boundaries Property Map
- Configured area boundaries of the camera
- network
Id String - The network id of the camera
- serial String
- The serial number of the camera
GetCameraBoundariesAreasByDeviceItemBoundaries
- Id string
- The area boundary id
- Name string
- The area boundary name
- Type string
- The area boundary type
- Vertices
List<Get
Camera Boundaries Areas By Device Item Boundaries Vertex> - The area boundary vertices
- Id string
- The area boundary id
- Name string
- The area boundary name
- Type string
- The area boundary type
- Vertices
[]Get
Camera Boundaries Areas By Device Item Boundaries Vertex - The area boundary vertices
- id String
- The area boundary id
- name String
- The area boundary name
- type String
- The area boundary type
- vertices
List<Get
Camera Boundaries Areas By Device Item Boundaries Vertex> - The area boundary vertices
- id string
- The area boundary id
- name string
- The area boundary name
- type string
- The area boundary type
- vertices
Get
Camera Boundaries Areas By Device Item Boundaries Vertex[] - The area boundary vertices
- id str
- The area boundary id
- name str
- The area boundary name
- type str
- The area boundary type
- vertices
Sequence[Get
Camera Boundaries Areas By Device Item Boundaries Vertex] - The area boundary vertices
- id String
- The area boundary id
- name String
- The area boundary name
- type String
- The area boundary type
- vertices List<Property Map>
- The area boundary vertices
GetCameraBoundariesAreasByDeviceItemBoundariesVertex
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
